<?xml version="1.0" encoding="utf-8"?> 
<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:p="http://primefaces.org/ui">
    <h:form>
        <p:dialog widgetVar="registroEmpleadoDialog" header="Detalles de Recaudo" 
                  showEffect="clip" hideEffect="clip">
            <p:panelGrid id="panelEmpleados" columns="4">
                <f:facet name="header">Nuevo Empelado</f:facet>

                <h:outputText value="Tipo Documento"/>
                <p:selectOneMenu value="#{empleadosClienteBean.nuevoEmpleado.tipodocumento}" style="width: 150px">
                    <f:selectItem itemLabel="Seleccione Tipo"/>
                    <f:selectItems value="#{empleadosClienteBean.listadoTipoDocumentos}"/>
                </p:selectOneMenu>
                <h:outputText value="Nro Documento"/>
                <p:inputText value="#{empleadosClienteBean.nuevoEmpleado.identifacionsolicitante}"/>

                <h:outputText value="Nombre"/>
                <p:inputText value="#{empleadosClienteBean.nuevoEmpleado.nombresolicitante}"/>
                <h:outputText value="Cargo"/>
                <p:inputText value="#{empleadosClienteBean.nuevoEmpleado.cargo}"/>
                
                <h:outputText value="Contraseña"/>
                <p:password value="#{empleadosClienteBean.nuevoEmpleado.contrasenia}"></p:password>
                <h:outputText value=""/>
                <h:outputText value=""/>
                
                <p:commandButton value="Guardar" class="botonbuscador" 
                                 update="empleadosForm:tablaEmpleados, panelEmpleados" 
                                 action="#{empleadosClienteBean.registrarNuevoEmpelado()}"
                                 oncomplete="PF('registroEmpleadoDialog').hide();"/>
                <p:commandButton id="exitButtonBitacora" value="Salir"
                                 oncomplete="PF('registroEmpleadoDialog').hide();" />
            </p:panelGrid>
        </p:dialog>
    </h:form>
</ui:composition>
